/* vtkCAVEPicker - Extends vtkPicker to work within CAVE environment
Inherits from vtkPicker, requires vtk library available from kitware
inc. <www.kitware.com>

This software has been developed as part of the Futures Laboratory
project at Argonne National Laboratory, for more information email
fl-info@mcs.anl.gov, and is distributed under the terms described at
http://www.mcs.anl.gov/fl/softwareterms.html

(c) 1998 Argonne National Laboratory/University of Chicago

*/
#ifndef _vtkCAVEPicker_h_
#define _vtkCAVEPicker_h_

#include <vtkPicker.h>

class VTK_EXPORT vtkCAVEPicker : public vtkPicker
{
public:

    vtkCAVEPicker() {}
    ~vtkCAVEPicker() {}

    static vtkCAVEPicker* New() { return new vtkCAVEPicker; }

    int Pick(vtkRenderer* renderer, float* origin, float* vector,
	     float front, float back);
    float IntersectWithLine(float p1[3], float p2[3], 
			   float vtkNotUsed(tol), vtkActor *assem, 
			   vtkActor *actor, vtkMapper *mapper);
};


#endif
