/* vtkCAVEPointPicker - Extends vtkPointPicker to work within CAVE environment
Inherits from vtkCAVEPicker, requires vtk library available from kitware
inc. <www.kitware.com>

This software has been developed as part of the Futures Laboratory
project at Argonne National Laboratory, for more information email
fl-info@mcs.anl.gov, and is distributed under the terms described at
http://www.mcs.anl.gov/fl/softwareterms.html

(c) 1998 Argonne National Laboratory/University of Chicago

*/


#ifndef __vtkCAVEPointPicker_h
#define __vtkCAVEPointPicker_h

#include "vtkCAVEPicker.h"

class VTK_EXPORT vtkCAVEPointPicker : public vtkCAVEPicker
{
public:
  vtkCAVEPointPicker();
  static vtkCAVEPointPicker *New() {return new vtkCAVEPointPicker;};
  const char *GetClassName() {return "vtkCAVEPointPicker";};
  void PrintSelf(ostream& os, vtkIndent indent);

  // Description:
  // Get the id of the picked point. If PointId = -1, nothing was picked.
  vtkGetMacro(PointId,int);

protected:
  int PointId; //picked point

  float IntersectWithLine(float p1[3], float p2[3], float tol, 
			  vtkActor *assem, vtkActor *a, vtkMapper *m);
  void Initialize();

};

#endif


