/* vtkCAVERenderWindow: Sets the vtk specific display parameters with
 CAVE display parameters for vtkCAVERenderer to use.  Inherits from
 vtkOpenGLRenderWindow, requires vtk library available from kitware
 inc. <www.kitware.com>

This software has been developed as part of the Futures Laboratory
project at Argonne National Laboratory, for more information email
fl-info@mcs.anl.gov, and is distributed under the terms described at
http://www.mcs.anl.gov/fl/softwareterms.html

(c) 1998 Argonne National Laboratory/University of Chicago

*/

#ifndef _vtkCAVERenderWindow_h
#define _vtkCAVERenderWindow_h


#include <stdlib.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <vtkOpenGLRenderWindow.h>
#include "GL/glx.h"

class VTK_EXPORT vtkCAVERenderWindow : public vtkOpenGLRenderWindow
{

public:
    vtkCAVERenderWindow() {}
    ~vtkCAVERenderWindow() {}

    static vtkCAVERenderWindow* New() {return new vtkCAVERenderWindow;}

    void Start(void); // overides base class
    void Initialize(void); // overides base class
    void Frame(void); // overides base class

protected:

};


#endif
