/* vtkCAVERenderer: Calls necessary routines for rendering vtk objects
within CAVE.  Inherits from vtkOpenGLRenderer, requires vtk library
available from kitware inc. <www.kitware.com>

This software has been developed as part of the Futures Laboratory
project at Argonne National Laboratory, for more information email
fl-info@mcs.anl.gov, and is distributed under the terms described at
http://www.mcs.anl.gov/fl/softwareterms.html

(c) 1998 Argonne National Laboratory/University of Chicago

*/

#ifndef _vtkCAVERenderer_h
#define _vtkCAVERenderer_h

#include <vtkOpenGLRenderer.h>

class vtkCAVERenderer : public vtkOpenGLRenderer
{
    
public:

    vtkCAVERenderer() {}
    ~vtkCAVERenderer() {}

    static vtkCAVERenderer* New() { return new vtkCAVERenderer; }
    
    int UpdateCameras(void); // overides base class
    void DeviceRender(); // overides base class
    
protected:

};

#endif
